Bug 374391 - AMSN dependencies on Fedora 8 broken, fails to start
AMSN dependencies on Fedora 8 broken, fails to start
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: amsn (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Sander Hoentjen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 03:29 EST by Frank de Brabander
Modified: 2008-11-26 04:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 04:02:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error when started from commandline (1.18 KB, text/plain)
2007-11-10 03:29 EST, Frank de Brabander
no flags Details

  None (edit)
Description Frank de Brabander 2007-11-10 03:29:19 EST
Description of problem:
Installing amsn on fedora 8 will give you a broken installation. It seems to be
missing the tcldom packages, see the attached file for the error during the
start of AMSN.

Version-Release number of selected component (if applicable):
Fedora 8
Installed Packages
Name   : amsn
Arch   : i386
Version: 0.96
Release: 7.fc7
Size   : 5.0 M
Repo   : installed
Summary: MSN Messenger clone for Linux, Mac and Windows

Actual results:
Cannot start AMSN

How to fix:
Add a dependency for 'tcldom'. After manually installing tcldom, AMSN could start.
Comment 1 Frank de Brabander 2007-11-10 03:29:19 EST
Created attachment 253831 [details]
Error when started from commandline
Comment 2 Gianluca Varisco 2007-11-10 14:24:31 EST
Hi Frank,

I just tried by typing "yum install amsn"; this is my output:

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 amsn                    i386       0.96-7.fc7       fedora            1.9 M
Installing for dependencies:
 bwidget                 noarch     1.8.0-2.fc8      fedora            178 k
 gsm                     i386       1.0.12-5.fc8     fedora             28 k
 htmlview                noarch     4.0.0-3.fc7      fedora            8.8 k
 sox                     i386       13.0.0-3.fc8     fedora            218 k
 tcldom                  i386       3.1-10.fc7       fedora            132 k
 tcllib                  noarch     1.9-5.fc8        fedora            2.0 M
 tclsoap                 noarch     1.6.7-4.fc7      fedora             74 k
 tcltls                  i386       1.5.0-11.fc6     fedora             28 k
 tclxml                  i386       3.1-11.fc7       fedora             98 k
 tkdnd                   i386       1.0a2-9.fc8      fedora             73 k

As you can see, 'tcldom' is marked as 'dependency'.
Comment 3 Frank de Brabander 2007-11-10 15:29:15 EST
That's weird! I installed it using the default packet management GUI, but that
shouldn't make any difference... 

I don't see tcldom in this list, but i don't know enough about RPM to know
whether or not that really means anything:
[root@frusciante jamx]# rpm -q --requires amsn
/bin/bash  
/bin/sh  
/bin/sh  
/usr/bin/env  
/usr/bin/tclsh  
/usr/bin/wish  
bwidget  
htmlview  
libX11.so.6  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.2)  
libc.so.6(GLIBC_2.2.3)  
libc.so.6(GLIBC_2.3)  
libc.so.6(GLIBC_2.3.2)  
libc.so.6(GLIBC_2.3.4)  
libc.so.6(GLIBC_2.4)  
libgcc_s.so.1  
libgcc_s.so.1(GCC_3.0)  
libjpeg.so.62  
libm.so.6  
libm.so.6(GLIBC_2.0)  
libpng12.so.0  
libpng12.so.0(PNG12_0)  
libstdc++.so.6  
libstdc++.so.6(CXXABI_1.3)  
libstdc++.so.6(GLIBCXX_3.4)  
libz.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
sox  
tcllib  
tclsoap  
tcltls  
tk  
tkdnd  
Comment 4 Gianluca Varisco 2007-11-10 16:09:38 EST
Frank,

[gvarisco@gvarisco ~]$ rpm -q --whatrequires tcldom
tclsoap-1.6.7-4.fc7
[gvarisco@gvarisco ~]$ rpm -q --whatrequires tclsoap
amsn-0.96-7.fc7
[gvarisco@gvarisco ~]$    

As you can see above, tcldom is needed by tclsoap (
http://cvs.fedoraproject.org/viewcvs/rpms/tclsoap/F-8/tclsoap.spec?rev=1.4&view=markup
); tclsoap is a dependency required by amsn; you can see the "Requires" list in
the amsn spec file:
http://cvs.fedoraproject.org/viewcvs/rpms/amsn/F-8/amsn.spec?rev=1.14&view=markup

Requires:       tcl(abi) = %{tcl_version}
Requires:       tcltls, tclsoap, tcllib, bwidget, tk, tkdnd, htmlview, sox

The strange thing, however, is what's happened to your installation.
Comment 5 Daniel Malmgren 2007-11-18 11:44:10 EST
When I try to start amsn since upgrading to F8 I get the following:

-----------------------8<--------------------------------
Application initialization failed: Can't find a usable init.tcl in the following
directories: 
    /usr/share/tcl8.4 /usr/lib/tcl8.4 /lib/tcl8.4 /usr/library /library
/tcl8.4.15/library /usr/share/tcl8.4



This probably means that Tcl wasn't installed properly.

Error in startup script: can't find package Tk
    while executing
"package require Tk"
    (file "/usr/bin/amsn" line 46)
-----------------------8<--------------------------------

I've got tcl, tcldom and tclsoap packages (F8 versions) installed.
Comment 6 Sander Hoentjen 2007-11-21 07:48:22 EST
(In reply to comment #5)
Next time please file a new bug report, since your bug is different from what is
discussed here.

> When I try to start amsn since upgrading to F8 I get the following:
> 
> -----------------------8<--------------------------------
> Application initialization failed: Can't find a usable init.tcl in the following
> directories: 
>     /usr/share/tcl8.4 /usr/lib/tcl8.4 /lib/tcl8.4 /usr/library /library
> /tcl8.4.15/library /usr/share/tcl8.4
Please try the foloowing commands and report there output:
rpm -q tcl tk
updatedb && locate init.tcl

Comment 7 Bug Zapper 2008-11-26 03:16:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Sander Hoentjen 2008-11-26 04:02:25 EST
closing since no new information is received from reporters

Note You need to log in before you can comment on or make changes to this bug.